#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Extra kio plugins needed by KF6
Name:           kio-extras
Version: 24.11.80
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Svg)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6DNSSD)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6SyntaxHighlighting)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6TextWidgets)

BuildRequires:  cmake(PlasmaActivities)
BuildRequires:  cmake(PlasmaActivitiesStats)
BuildRequires:  cmake(Phonon4Qt6)

BuildRequires:  cmake(KExiv2Qt6)
BuildRequires:  cmake(QCoro6)
BuildRequires:  cmake(KDSoapWSDiscoveryClient) >= 0.3.0

BuildRequires:  shared-mime-info
BuildRequires:  openslp-devel
BuildRequires:  gperf

BuildRequires:  pkgconfig(libssh)
BuildRequires:  pkgconfig(smbclient)
BuildRequires:  pkgconfig(libmtp)
BuildRequires:  pkgconfig(taglib)
BuildRequires:  pkgconfig(libtirpc)
BuildRequires:  pkgconfig(OpenEXR)
BuildRequires:  pkgconfig(libimobiledevice-1.0)

# mga#24372
Requires:       kio

Provides:       kio-mtp = %version-%release

# ease upgrade mga9 -> mga10
Conflicts:      kio < 5.113.0


%description
Extra kio plugins needed by KF6.

%files  -f %name.lang
%_kf6_categoriesdir/kio-extras.categories
%_kf6_categoriesdir/kio-extras.renamecategories
%_datadir/dbus-1/services/org.kde.kmtpd5.service
%_qt6_plugindir/*.so
%_qt6_plugindir/plasma/kcms/systemsettings_qwidgets/*.so
%_kf6_plugindir/kio/
%_kf6_plugindir/kiod/
%_kf6_plugindir/kded/
%_kf6_plugindir/kfileitemaction/*
%_kf6_plugindir/thumbcreator/
%_kf6_datadir/mime/packages/org.kde.kio.smb.xml
%_kf6_libexecdir/smbnotifier
%_kf6_datadir/config.kcfg/jpegcreatorsettings5.kcfg
%_kf6_datadir/kio_info/
%_kf6_datadir/kio_filenamesearch/
%_kf6_datadir/remoteview/*.desktop
%_kf6_datadir/konqueror/dirtree/remote/smb-network.desktop
%_kf6_datadir/konqueror/dirtree/remote/mtp-network.desktop
%_kf6_datadir/solid/actions/solid_afc.desktop
%_kf6_datadir/solid/actions/solid_mtp.desktop
%_kf6_applicationsdir/kcm_netpref.desktop
%_kf6_applicationsdir/kcm_proxy.desktop
%_kf6_applicationsdir/kcm_trash.desktop
%_kf6_applicationsdir/kcm_webshortcuts.desktop

#--------------------------------------------------------------------

%define libkioarchive_major 6
%define libkioarchive %mklibname kioarchive6_ %{libkioarchive_major}

%package -n %libkioarchive
Summary:        Extra kio plugins needed by KF6
Group:          System/Libraries

%description -n %libkioarchive
Extra kio plugins needed by KF6.

%files -n %libkioarchive
%_kf6_libdir/libkioarchive6.so.%{libkioarchive_major}{,.*}

#---------------------------------------------------------------------------

%define libkioarchive_devel %mklibname kioarchive6 -d

%package -n %{libkioarchive_devel}
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkioarchive = %version-%release
Provides:       libkioarchive-devel = %version-%release
Provides:       kioarchive-devel = %version-%release

%description -n %{libkioarchive_devel}
Extra kio plugins needed by KF6.

This package contains header files needed if you wish to build applications
based on libkioarchive.

%files -n %{libkioarchive_devel}
%_includedir/KioArchive6/
%_kf6_libdir/cmake/KioArchive6/

#---------------------------------------------------------------------------

%package handbook
Summary:        %name Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %name Handbook.

%files handbook
%_kf6_docdir/HTML/*/kcontrol6/*
%_kf6_docdir/HTML/*/kioworker6/*

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DLIBSSH_LIBRARIES="$(pkg-config --libs libssh)" \
           -DBUILD_WITH_QT6:BOOL=ON
%cmake_build

%install
%cmake_install
%find_lang %name --all-name


%changelog
* Sun Nov 17 2024 daviddavid <daviddavid> 24.11.80-1.mga10
+ Revision: 2116820
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 24.08.3-1.mga10
+ Revision: 2114054
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105553
- New version 24.08.2

* Fri Oct 04 2024 daviddavid <daviddavid> 24.08.1-2.mga10
+ Revision: 2103218
- rebuild for new taglib 2.0.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097414
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087613
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085109
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073216
- New version 24.05.1

* Sun Jun 09 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2071522
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058618
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045161
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037659
- New version 24.01.95

* Mon Feb 05 2024 daviddavid <daviddavid> 24.01.90-2.mga10
+ Revision: 2037345
- fix conflicting file that was moved from kio to kio-extras (mga#32809)

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033786
- New version 24.01.90

* Wed Jan 03 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2026687
- New version 24.01.85

* Sun Nov 19 2023 neoclust <neoclust> 24.01.75-1.mga10
+ Revision: 2007780
- New version 24.01.75

* Sun Sep 24 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1990098
- New version 23.08.1

* Fri Sep 08 2023 daviddavid <daviddavid> 23.04.1-2.mga10
+ Revision: 1985340
- rebuild for new libplist 2.3.0

* Fri May 26 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958554
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946495
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941788
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922909
- New version 22.12.0

* Tue Nov 29 2022 daviddavid <daviddavid> 22.11.90-2.mga9
+ Revision: 1912696
- enable KExiv2 support

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911403
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905255
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886775
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1880761
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873071
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1853964
- New version 22.04.0

* Sun Apr 17 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1850830
- New version 22.03.90

* Wed Apr 06 2022 umeabot <umeabot> 21.12.0-2.mga9
+ Revision: 1846158
- Mageia 9 Mass Rebuild

* Sun Dec 26 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1763854
- New version 21.12.0

* Sat Dec 25 2021 wally <wally> 21.11.90-2.mga9
+ Revision: 1763690
- rebuild for openexr 3.1.3

* Fri Dec 10 2021 neoclust <neoclust> 21.11.90-1.mga9
+ Revision: 1761286
- New version 21.11.90

* Sun Aug 08 2021 luigiwalser <luigiwalser> 21.04.1-2.mga9
+ Revision: 1740545
- rebuild for kdsoap

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724063
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718675
- New version 21.04.0

* Fri Mar 05 2021 daviddavid <daviddavid> 20.12.3-4.mga9
+ Revision: 1699204
- enable Phonon4Qt5 support

* Fri Mar 05 2021 daviddavid <daviddavid> 20.12.3-3.mga9
+ Revision: 1699189
- update BRs, remove no more needed kdelibs4support
- update Source Url

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698547
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694079
- New version 20.12.2

* Tue Dec 29 2020 daviddavid <daviddavid> 20.12.0-2.mga8
+ Revision: 1664985
- rebuild for new KDSoap 1.10.0

* Sun Dec 13 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1656222
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1643995
- New version 20.08.3

* Thu Oct 22 2020 daviddavid <daviddavid> 20.08.2-2.mga8
+ Revision: 1638200
- rebuild for new kdsoap 1.9.1

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633811
- New version 20.08.2

* Thu Sep 17 2020 daviddavid <daviddavid> 20.08.1-2.mga8
+ Revision: 1628205
- use system KDSoapWSDiscoveryClient

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1627053
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1614921
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604119
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596852
- New version 20.04.2

* Sun May 17 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1585038
- New version 20.04.1

* Sat May 09 2020 daviddavid <daviddavid> 20.04.0-2.mga8
+ Revision: 1582361
- add upstream patch to only store password in KWallet if the user asked for it

* Sat Apr 18 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1568806
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559322
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1541061
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513292
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Thu Dec 19 2019 daviddavid <daviddavid> 19.12.0-2.mga8
+ Revision: 1468876
- enable KF5ActivitiesStats support

* Sun Dec 15 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1467461
- New version 19.12.0
- New version 19.11.90

* Fri Nov 15 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1460286
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1446869
- New version 19.08.1

* Tue Jul 30 2019 daviddavid <daviddavid> 19.04.3-2.mga8
+ Revision: 1425769
- fix library pkg name

* Mon Jul 29 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1424991
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390446
- New version 19.04.0
- New version 19.04.00

* Thu Apr 11 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1388608
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1382509
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375602
- New version 18.12.3

* Sat Feb 16 2019 daviddavid <daviddavid> 18.12.2-2.mga7
+ Revision: 1367617
- add missing dependency on kio (mga#24372)

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365566
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356504
- New version 18.12.1

* Sat Dec 29 2018 luigiwalser <luigiwalser> 18.12.0-2.mga7
+ Revision: 1346053
- rebuild for exiv2

* Thu Dec 20 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1343155
- New version 18.12.0

* Sun Nov 25 2018 daviddavid <daviddavid> 18.08.3-1.mga7
+ Revision: 1334173
- add upstream patch to fix CVE-2018-19120 (mga#23868)
  * fixed by removing the HTML thumbnailer
+ neoclust <neoclust>
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 18.08.2-1.mga7
+ Revision: 1327398
- New version 18.08.2

* Tue Oct 16 2018 daviddavid <daviddavid> 18.04.1-3.mga7
+ Revision: 1320927
- rebuild for new ilmbase and openexr 2.3.0

* Sun Sep 23 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1298556
- Mageia 7 Mass Rebuild

* Thu Jun 28 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1240417
- New version 18.04.1

* Mon Mar 05 2018 neoclust <neoclust> 17.12.2-4.mga7
+ Revision: 1206721
- Enable more kioslave
- Add More dependancies to enable features

* Mon Mar 05 2018 neoclust <neoclust> 17.12.2-3.mga7
+ Revision: 1206717
- Add gperf to build man kioslave

* Mon Mar 05 2018 neoclust <neoclust> 17.12.2-2.mga7
+ Revision: 1206713
- Rebuild to check all BR

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1201895
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1194917
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1186455
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 17.08.0-1.mga7
+ Revision: 1143045
- New version 17.08.0

* Sun Aug 06 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1138005
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 17.04.3-2.mga7
+ Revision: 1133412
- Fix for new find_lang
+ neoclust <neoclust>
- Add conflicts to ease upgrade

* Mon Jul 24 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1129875
- New version 17.04.3

* Tue Jun 20 2017 neoclust <neoclust> 16.12.3-2.mga6
+ Revision: 1107988
- Rebuild against new exiv2

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090075
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076811
- New version 16.12.0

* Wed Dec 07 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1073088
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067338
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061397
- New version 16.08.2

* Thu Sep 15 2016 neoclust <neoclust> 16.08.1-2.mga6
+ Revision: 1053133
- Try to better obsoletes kio-mtp

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050663
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047303
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040064
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012550
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004340
- New version 16.04.0

* Sun Apr 03 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 997943
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991187
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987456
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922625
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911941
- New version 15.12.0

* Thu Nov 26 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 906163
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901135
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890615
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880428
- New version 15.08.1

* Wed Aug 26 2015 sander85 <sander85> 15.08.0-2.mga6
+ Revision: 869632
- Rebuild for exiv2 0.25

* Thu Aug 20 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 866190
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863794
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 862056
- New version 15.07.90

* Fri Jul 31 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 859636
- New version 15.07.80

* Mon Jul 20 2015 neoclust <neoclust> 5.3.2-3.mga6
+ Revision: 855567
- Versionnate conflicts

* Sun Jul 19 2015 neoclust <neoclust> 5.3.2-2.mga6
+ Revision: 855557
- Enable mtp kioslave

* Sun Jul 05 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 850722
- New version 5.3.2

* Fri Dec 19 2014 neoclust <neoclust> 5.1.2-1.mga5
+ Revision: 804163
- New version

* Mon Oct 27 2014 lmenut <lmenut> 5.0.1-6.mga5
+ Revision: 793581
- add missing conflicts with KDE 4
- simplify find_lang

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-5.mga5
+ Revision: 745130
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 5.0.1-4.mga5
+ Revision: 726663
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-3.mga5
+ Revision: 681088
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 neoclust <neoclust> 5.0.1-2.mga5
+ Revision: 663900
- This is not a framework so rename it
- Rename

* Wed Aug 13 2014 neoclust <neoclust> 5.0.1-1.mga5
+ Revision: 662194
- New version 5.0.1
- Enable translations
- imported package kf5-kio-extras

